#include "StdAfx.h"
#include "LoadVmd.h"

LoadVmd::LoadVmd(LPCTSTR filename){
	// PMDファイルからPMDデータを抽出
    ifstream ifs(filename, ios::binary);
	if (ifs.fail()) throw TEXT("ファイルがありません");

	ifs.read((char*)&vmdHeader, sizeof(VmdHeader));
	unsigned long numVmdMotion;
	ifs.read((char*)&numVmdMotion, sizeof(numVmdMotion));
	vmdMotions.resize(numVmdMotion);
	ifs.read((char*)&vmdMotions[0], sizeof(VmdMotion)*numVmdMotion);
}

LoadVmd::~LoadVmd() {
}

VmdHeader LoadVmd::GetHeader() {
	return vmdHeader;
}

vector<VmdMotion> LoadVmd::GetMotions() {
	return vmdMotions;
}